com.io7m.r2.core.cursors

## Interface R2VertexCursorType

-     public interface R2VertexCursorType

  The type of cursors for writing to standard vertices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setNormal(long index, double x, double y, double z)` Set the normal vector for vertex `index`.
    `void` | `setPosition(long index, double x, double y, double z)` Set the position vector for vertex `index`.
    `void` | `setTangent4(long index, double x, double y, double z, double w)` Set the tangent4 vector for vertex `index`.
    `void` | `setUV(long index, double x, double y)` Set the UV vector for vertex `index`.

- - ### Method Detail

    - #### setPosition

          void setPosition(long index,
                           double x,
                           double y,
                           double z)

      Set the position vector for vertex `index`.
      Parameters:
        `index` - The vertex index
        `x` - The X coordinate value
        `y` - The Y coordinate value
        `z` - The Z coordinate value

    - #### setNormal

          void setNormal(long index,
                         double x,
                         double y,
                         double z)

      Set the normal vector for vertex `index`.
      Parameters:
        `index` - The vertex index
        `x` - The X coordinate value
        `y` - The Y coordinate value
        `z` - The Z coordinate value

    - #### setUV

          void setUV(long index,
                     double x,
                     double y)

      Set the UV vector for vertex `index`.
      Parameters:
        `index` - The vertex index
        `x` - The X coordinate value
        `y` - The Y coordinate value

    - #### setTangent4

          void setTangent4(long index,
                           double x,
                           double y,
                           double z,
                           double w)

      Set the tangent4 vector for vertex `index`.
      Parameters:
        `index` - The vertex index
        `x` - The X coordinate value
        `y` - The Y coordinate value
        `z` - The Z coordinate value
        `w` - The tangent sign

Copyright © 2016 <code@io7m.com> http://io7m.com